Course Listings

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Course Listings method returns a filterable list of basic course objects matching the search criteria. The result is paginated according to the per_page parameter which defaults to 10 and may return up to 100 records at a time.

Most parameters take a pipe delimited list of values to include multiple sections.The course language must be in the following list:

  • English
  • Spanish
  • French
  • Chinese
  • Portuguese
  • Arabic
  • Other

The order parameter allows courses to be returned in either descending order (latest courses first) or ascending order (oldest courses first) by using values of asc or desc.

🚧

Courses are also searchable via the Search API

Examples

Lists all courses in Europe in 2015.

curl --header "apikey: YOUR_APP_KEY" https://api.triathlon.org/v1/courses?region_id=10&start_date=2015-01-01&end_date=2016-01-01

Lists all Level 1 and Level 2 Technical Officials courses held in Spanish.

curl --header "apikey: YOUR_APP_KEY" https://api.triathlon.org/v1/courses?category_id=239|252&language=Spanish
Query Params
int32
Defaults to 10

How many courses to be returned per page

int32

The page number to be returned

string

A pipe delimited list of category ids

string

Restrict returned courses by name

string

The earliest date for courses to be returned

string

The latest date for courses to be returned

string

A pipe delimited list of region ids

string

A pipe delimited list of country ids

string

A pipe delimited list of course ids

string

The language of the course

string
Defaults to desc

The date order in which to return results

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json